
Figure - Bug #117020
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】点击设置选择列表中任意一项，下划打开控制中心，长按护眼模式打开设置，显示
页和选中项不相符
2023-03-18 14:54 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-18

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-21

Test Type: ST Root cause: Settings 两栏改造后，主选项页面与二级选项页面未做映射导致无法进行匹配。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、点击设置，选择左侧任意一行

2、下拉控制中心

3、长按护眼模式

4、查看显示页面

【预期结果】

4、左侧列表选中项和显示页相符 或者 左侧无选中项

【实际结果】

4、显示页和选中项不相符

History

#1 - 2023-03-20 19:55 - CD FW-廖涛

- % Done changed from 0 to 50

#2 - 2023-03-21 19:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188746 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix top level selected sync to detail page.TC-RID: 1201-0201813IssueID: TS-R-BUG-117020Change-Id:

I9ee12e97c8cf8ee2e375cf1ca5d0492234bb4386

#3 - 2023-03-21 19:30 - CD FW-廖涛

- Status changed from New to RESOLVED
- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-21

- Root cause set to Settings 两栏改造后，主选项页面与二级选项页面未做映射导致无法进行匹配。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Settings 两栏改造后，主选项页面与二级选项页面未做映射导致无法进行匹配。

已针对已知外部跳转页面增加映射关系，目前覆盖不了所有外部跳转到 Settings 的场景，后续如还存在主选项选中状态和右侧页面不一致的情况，再增加

映射数据。

■ Next action

测试验证。

#4 - 2023-03-22 16:20 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303220131

【验证情况】点击设置选择列表中任意一项，下划打开控制中心，长按护眼模式打开设置，显示页和选中项相符

#5 - 2023-03-22 16:21 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
